# GimpUi.prop_file_chooser_button_new

    function prop_file_chooser_button_new(config: GObject.Object, property_name: String, title: String, action: Gtk.FileChooserAction): Gtk.Widget {
        // Gjs wrapper for gimp_prop_file_chooser_button_new()
    }

Creates a Gtk.FileChooserButton to edit the specified path property. property_name must represent either a GIMP_PARAM_SPEC_CONFIG_PATH or a G_PARAM_SPEC_OBJECT where `value_type == G_TYPE_FILE`.

Note that Gtk.FileChooserButton implements the Gtk.FileChooser interface; you can use the Gtk.FileChooser API with it.

Since 2.4

config

  object to which property is attached.

property_name

  name of path property.

title

  the title of the browse dialog.

action

  the open mode for the widget.

Returns

  A new Gtk.FileChooserButton.